Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
MessageNotifier Class Referenceabstract

Post-dispatching message hook. More...

`#include <yatengine.h>`

Inheritance diagram for MessageNotifier:

## Public Member Functions
virtual | ~MessageNotifier ()
virtual void | dispatched (const Message &msg, bool handled)=0

## Detailed Description

Post-dispatching message hook.

An abstract class to implement hook methods called after any message has been dispatched. If an object implementing MessageNotifier is set as user data in a Message then the dispatched() method will be called.

## Constructor & Destructor Documentation

virtual ~MessageNotifier | ( |  | ) |
| virtual

Destructor. Keeps compiler form complaining.

## Member Function Documentation

virtual void dispatched | ( | const Message & | msg,
|  | bool | handled
| ) |  |
| pure virtual

This method is called after a message was dispatched.

Parameters

  msg | The already dispatched message message
  handled | True if a handler claimed to have handled the message

Implemented in Channel.

The documentation for this class was generated from the following file:

- yatengine.h